#include "f2c.h"

int main(void)
{
    /* Local variables */
    static int ierr;
    extern int afb2r_c(float *, int *, int *, int *, int *, int *,
                       float *, float *, int *);
    static float a[81] /* was [9][9] */;
    static int i__, j, k, n, nlead[9];
    static float z__[9], rcond;
    static int j0, j1, ma, ml, mu;
    int i__1, i__2, i__3;

#define a_ref(a_1,a_2) a[(a_2)*9 + a_1 - 10]

    ma = 9;
    n = 9;
    i__1 = ma;
    for (i__ = 1; i__ <= i__1; ++i__) {
        i__2 = n;
        for (j = 1; j <= i__2; ++j) {
            a_ref(i__, j) = 0.f;
/* L1: */
        }
/* L2: */
    }
    ml = 2;
    mu = 3;
    i__1 = ma;
    for (i__ = 1; i__ <= i__1; ++i__) {
/* Computing MAX */
        i__2 = 1, i__3 = i__ - ml;
        j0 = max(i__2,i__3);
/* Computing MIN */
        i__2 = n, i__3 = i__ + mu;
        j1 = min(i__2,i__3);
        i__2 = j1;
        for (j = j0; j <= i__2; ++j) {
            k = j - i__ + ml + 1;
            a_ref(i__, k) = (float) (i__ * 10 + j);
/* L3: */
        }
/* L4: */
    }
    for (i__ = 1; i__ <= 9; ++i__) {
         printf("\n %13.4e %13.4e %13.4e \n %13.4e %13.4e %13.4e \n",
              a_ref(i__, 1), a_ref(i__, 2), a_ref(i__, 3),
              a_ref(i__, 4), a_ref(i__, 5), a_ref(i__, 6));
         printf("\n %13.4e %13.4e %13.4e \n",              
              a_ref(i__, 7), a_ref(i__, 8), a_ref(i__, 9));
    }
    afb2r_c(a, &ma, &n, &ml, &mu, nlead, &rcond, z__, &ierr);

    printf("\n  %5i %5i %5i %5i %5i %5i %5i %5i %5i \n",
            nlead[0], nlead[1], nlead[2], nlead[3], nlead[4], nlead[5],
            nlead[6], nlead[7], nlead[8]);
    for (i__ = 1; i__ <= 9; ++i__) {
         printf("\n %13.4e %13.4e %13.4e \n %13.4e %13.4e %13.4e \n",
              a_ref(i__, 1), a_ref(i__, 2), a_ref(i__, 3),
              a_ref(i__, 4), a_ref(i__, 5), a_ref(i__, 6));
         printf("\n %13.4e %13.4e %13.4e \n",              
              a_ref(i__, 7), a_ref(i__, 8), a_ref(i__, 9));
    }
    printf("\n  %5i %15.7e \n", ierr, rcond);
    return 0;
} /* main */

#undef a_ref
